# BatchApi

All URIs are relative to *https://api.browshot.com/api/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**batchCeatePost**](BatchApi.md#batchCeatePost) | **POST** /batch/ceate | Requests thousands of screenshtos at once
[**batchInfoGet**](BatchApi.md#batchInfoGet) | **GET** /batch/info | Get the batch status


<a name="batchCeatePost"></a>
# **batchCeatePost**
> List&lt;Batch&gt; batchCeatePost(instanceId, file, size, name, width, height, delay, flashDelay, screenWidth, screenHeight, priority, referer, postData, cookie, script, details, html, maxWait, headers, format, shots, shotInterval)

Requests thousands of screenshtos at once

Get hundreds or thousands of screenshots from a text file. You can use this API call or the dashboard. Unlike the other API calls, you must issue a POST request with the Content-Type \&quot;multipart/form-data\&quot; in order to upload the text file. The text file must contain the list of URLs to request, 1 URL per line. Failed screenshots will be tried up to 3 times before giving up. 

### Example
```java
// Import classes:
//import io.swagger.client.ApiClient;
//import io.swagger.client.ApiException;
//import io.swagger.client.Configuration;
//import io.swagger.client.auth.*;
//import io.swagger.client.api.BatchApi;

ApiClient defaultClient = Configuration.getDefaultApiClient();

// Configure API key authorization: apiKeyQuery
ApiKeyAuth apiKeyQuery = (ApiKeyAuth) defaultClient.getAuthentication("apiKeyQuery");
apiKeyQuery.setApiKey("YOUR API KEY");
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//apiKeyQuery.setApiKeyPrefix("Token");

BatchApi apiInstance = new BatchApi();
Integer instanceId = 56; // Integer | instance ID to use
File file = new File("/path/to/file.txt"); // File | text file to use
String size = "screen"; // String | screenshots size - \"screen\" (default) or \"page\"
String name = "name_example"; // String | name of the batch
Integer width = 1024; // Integer | thumbnail width.
Integer height = 56; // Integer | thumbnail height
Integer delay = 5; // Integer | number of seconds to wait after the page has loaded. This is used to let JavaScript run longer before taking the screenshot. Use delay=0 to take screenshots faster.
Integer flashDelay = 10; // Integer | number of seconds to wait after the page has loaded if Flash elements are present. Use flash_delay=0 to take screenshots faster.
Integer screenWidth = 1024; // Integer | width of the browser window. For desktop browsers only.
Integer screenHeight = 768; // Integer | height of the browser window. For desktop browsers only. (Note: full-page screenshots can have a height of up to 15,000px)
Integer priority = 56; // Integer | assign priority to the screenshot (for private instances only)
String referer = "referer_example"; // String | use a custom referrer header - paid screenshots only
String postData = "postData_example"; // String | send a POST requests with post_data, useful for filling out forms - paid screenshots only
String cookie = "cookie_example"; // String | set a cookie for the URL requested (see Custom POST Data, Referer and Cookie) Cookies should be separated by a ; - paid screenshots only
String script = "script_example"; // String | URL of javascript file to execute after the page load event
Integer details = 2; // Integer | level of information available with screenshot/info
Integer html = 0; // Integer | saves the HTML of the rendered page which can be retrieved by the API call screenshot/html. This feature costs *1 credit* per screenshot.
Integer maxWait = 0; // Integer | maximum number of seconds to wait before triggering the PageLoad event. Note that delay will still be used. (default: 0 = disabled)
String headers = "headers_example"; // String | any custom HTTP headers. (Not supported with Internet Explorer)
String format = "png"; // String | image as PNG or JPEG
Integer shots = 1; // Integer | take multiple screenshots of the same page. This costs 1 additional credit for every 2 additional screenshots.
Integer shotInterval = 5; // Integer | number of seconds between 2 screenshots
try {
    List<Batch> result = apiInstance.batchCeatePost(instanceId, file, size, name, width, height, delay, flashDelay, screenWidth, screenHeight, priority, referer, postData, cookie, script, details, html, maxWait, headers, format, shots, shotInterval);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling BatchApi#batchCeatePost");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **instanceId** | **Integer**| instance ID to use |
 **file** | **File**| text file to use | [optional]
 **size** | **String**| screenshots size - \&quot;screen\&quot; (default) or \&quot;page\&quot; | [optional] [default to screen] [enum: screen, page]
 **name** | **String**| name of the batch | [optional]
 **width** | **Integer**| thumbnail width. | [optional] [default to 1024]
 **height** | **Integer**| thumbnail height | [optional]
 **delay** | **Integer**| number of seconds to wait after the page has loaded. This is used to let JavaScript run longer before taking the screenshot. Use delay&#x3D;0 to take screenshots faster. | [optional] [default to 5]
 **flashDelay** | **Integer**| number of seconds to wait after the page has loaded if Flash elements are present. Use flash_delay&#x3D;0 to take screenshots faster. | [optional] [default to 10]
 **screenWidth** | **Integer**| width of the browser window. For desktop browsers only. | [optional] [default to 1024]
 **screenHeight** | **Integer**| height of the browser window. For desktop browsers only. (Note: full-page screenshots can have a height of up to 15,000px) | [optional] [default to 768]
 **priority** | **Integer**| assign priority to the screenshot (for private instances only) | [optional]
 **referer** | **String**| use a custom referrer header - paid screenshots only | [optional]
 **postData** | **String**| send a POST requests with post_data, useful for filling out forms - paid screenshots only | [optional]
 **cookie** | **String**| set a cookie for the URL requested (see Custom POST Data, Referer and Cookie) Cookies should be separated by a ; - paid screenshots only | [optional]
 **script** | **String**| URL of javascript file to execute after the page load event | [optional]
 **details** | **Integer**| level of information available with screenshot/info | [optional] [default to 2]
 **html** | **Integer**| saves the HTML of the rendered page which can be retrieved by the API call screenshot/html. This feature costs *1 credit* per screenshot. | [optional] [default to 0]
 **maxWait** | **Integer**| maximum number of seconds to wait before triggering the PageLoad event. Note that delay will still be used. (default: 0 &#x3D; disabled) | [optional] [default to 0]
 **headers** | **String**| any custom HTTP headers. (Not supported with Internet Explorer) | [optional]
 **format** | **String**| image as PNG or JPEG | [optional] [default to png] [enum: png, jpeg]
 **shots** | **Integer**| take multiple screenshots of the same page. This costs 1 additional credit for every 2 additional screenshots. | [optional] [default to 1]
 **shotInterval** | **Integer**| number of seconds between 2 screenshots | [optional] [default to 5]

### Return type

[**List&lt;Batch&gt;**](Batch.md)

### Authorization

[apiKeyQuery](../README.md#apiKeyQuery)

### HTTP request headers

 - **Content-Type**: multipart/form-data
 - **Accept**: application/json

<a name="batchInfoGet"></a>
# **batchInfoGet**
> Batch batchInfoGet(id)

Get the batch status

Get the status of a batch requested through the API or through the dashboard. 

### Example
```java
// Import classes:
//import io.swagger.client.ApiClient;
//import io.swagger.client.ApiException;
//import io.swagger.client.Configuration;
//import io.swagger.client.auth.*;
//import io.swagger.client.api.BatchApi;

ApiClient defaultClient = Configuration.getDefaultApiClient();

// Configure API key authorization: apiKeyQuery
ApiKeyAuth apiKeyQuery = (ApiKeyAuth) defaultClient.getAuthentication("apiKeyQuery");
apiKeyQuery.setApiKey("YOUR API KEY");
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//apiKeyQuery.setApiKeyPrefix("Token");

BatchApi apiInstance = new BatchApi();
Integer id = 56; // Integer | batch ID
try {
    Batch result = apiInstance.batchInfoGet(id);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling BatchApi#batchInfoGet");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **Integer**| batch ID |

### Return type

[**Batch**](Batch.md)

### Authorization

[apiKeyQuery](../README.md#apiKeyQuery)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

